load('ansitex/load/funcs.js');
load('ansitex/load/msgbases.js');

if (argv.length !== 1) {
	writeln('ERROR: Need a msgbase page prefix');
	exit(1);

} else {
	writeln('Showing frames in:'+argv[0]);
}

var ma = new MsgAreas();
var area = ma.getArea(argv[0]);

if (area === undefined)
	throw Error('Area:'+argv[0]+' is not defined.');

writeln('Opening ['+argv[0]+'] - ('+area.code+')');

var msgbase = area.msgbase;
msgbase.open();
writeln('- First:'+msgbase.first_msg);
writeln('- Last:'+msgbase.last_msg);
writeln('- Next:'+area.page_next);
msgbase.close();

var frames = area.frames;
for (var x in frames)
	writeln(padright(frames[x].number,4,' ')+':'+frames[x].tags);
